#include<iostream>
using namespace std;
int main()
{
	int n,k,p=-1;
	bool nadjen = false;
	int a[20000];
	cin>>n>>k;
	for(int i=0;i<n;i++)
	{
		scanf("%d", &a[i]);
		if(nadjen)
		{
			p = a[i];
			nadjen = false;
		}
		else
		if(a[i]==k)
		{
			nadjen = true;
		}
	}
	if(p==-1 && nadjen)
		cout<<a[0];
	else
		cout<<p;
}